#
# SiteBuilder configuration file
#

#NameVirtualHost __hostip__:__port__ 
Listen	__port__


<VirtualHost __hostip__:__port__ 127.0.0.1:__port__>

    DocumentRoot __sitebuilder_path__
    ServerName __vhostname__
    ErrorLog __error_log__
    DirectoryIndex index.php
    AddDefaultCharset UTF-8

#    <IfModule !mod_php5.c>
        AddHandler application/x-httpd-php5 .php .asmx
        ScriptAlias /bin __php_path__
        Action application/x-httpd-php5 /bin/__php__
#    </IfModule>

#    <IfModule mod_php5.c>
#        AddHandler application/x-httpd-php .php .asmx
#        php_admin_value memory_limit 24M
#        php_admin_flag register_globals Off
#        php_admin_flag safe_mode Off
#        php_admin_value open_basedir none
#        php_admin_value default_charset "UTF-8"
#        php_admin_value upload_max_filesize 24M
#	php_admin_flag magic_quotes_runtime Off 
#	php_admin_flag magic_quotes_gpc Off 
#	php_admin_flag zend.ze1_compatibility_mode Off
#    </IfModule>

    <IfModule mod_suphp.c>
	php_admin_flag engine off
	suPHP_Engine on
	AddHandler x-httpd-php .php .asmx
	suPHP_UserGroup __owner__
	suPHP_AddHandler x-httpd-php
    </IfModule>


    <Directory __sitebuilder_path__>
        Options +ExecCGI +FollowSymLinks
        Options -Indexes
        AllowOverride All
	Allow from all
    </Directory>
    
    <Directory __php_path__>
        Options +ExecCGI +FollowSymLinks
        Order allow,deny
        Allow from all
        AllowOverride None
    </Directory>
    
    <IfModule mod_rewrite.c>
        <Directory __sitebuilder_path__>
            RewriteEngine on
            RewriteRule ^$                        index.php  [L]
            RewriteCond %{REQUEST_URI}            ^/[a-z]+/.*$
            RewriteCond %{REQUEST_URI}            [^/]$
            RewriteRule (.*)                      -  [L]
            RewriteCond %{REQUEST_FILENAME}       !-f
            RewriteCond %{REQUEST_FILENAME}       !-d
            RewriteRule (.*)                      index.php/$1  [QSA,L]
        </Directory>
    </IfModule>


</VirtualHost>
